
source("app1.R")


#Read the input files for app1:
ORTI_rank1_tfs  = read.table("data/ORT_rank1_tfs.txt")
ORTI_rank1_tgs  = read.table("data/ORT_rank1_tgs.txt")
SREBF1_de_genes = read.table("data/SREBF1_de_genes.txt")

#pvalue of the enrichment of the given TF 
pval <- app1(ORTI_rank1_tfs, ORTI_rank1_tgs,'SREBF1', SREBF1_de_genes, 10370)


source("update_centres.R")
source("initial_clus.R")
source("combine_clus.R")
source("rmv_single.R")
source("perm_test.R")
source("clustering.R")
source("kcs.R")
source("app2.R")

#Read input files for app2:
kernel_exp_SREBF = as.matrix(read.table("data/kernel_exp_SREBF.txt"))
de_exp_SREBF     = as.matrix(read.table("data/de_exp_SREBF.txt"))
all_exp_SREBF    = as.matrix(read.table("data/all_exp_SREBF.txt"))
de_genes_SREBF   = as.matrix(read.table("data/de_genes_SREBF.txt"))

# KCS and p-values of putative TF (e.g., SREBF)  targets
output <- app2(kernel_exp_SREBF,de_exp_SREBF,all_exp_SREBF,de_genes_SREBF)
scores = output[[1]]
pvals  = output[[2]]